edu.isi.pegasus.gridftp

## Class FileExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - edu.isi.pegasus.gridftp.GridFTPException
      - - edu.isi.pegasus.gridftp.FileExistsException

All Implemented Interfaces:
  java.io.Serializable

    public class FileExistsException
    extends GridFTPException

See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`FileExistsException(java.lang.String message)`
`FileExistsException(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### FileExistsException

    public FileExistsException(java.lang.String message)

#### FileExistsException

    public FileExistsException(java.lang.String message,
                               java.lang.Throwable cause)